Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(371)

Issue 2437453004: Removing the dependency on //third_party/webrtc:webrtc and replacing with rtc_base. (Closed)

Created:
4 years ago by nicholss
Modified:
4 years ago
Reviewers:
Sergey Ulanov, joedow
CC:
chromium-reviews, chromoting-reviews_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Removing the dependency on //third_party/webrtc:webrtc and replacing with rtc_base. R=sergeyu@chromium.org BUG=653612 Committed: https://crrev.com/1b5df0c36af06d0963a77b7103088d3a63648e02 Cr-Commit-Position: refs/heads/master@{#427371}

Patch Set 1 #

Total comments: 3

Patch Set 2 : Adding comment to ice_connection and client now depends on :desktop_capture. #

Patch Set 3 : Reverting webrtc dep change, the change will happen on the webrtc :primitives side. #

Patch Set 4 : Fixing :: typo. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+50 lines, -9 lines) Patch
M remoting/BUILD.gn View 1 2 2 chunks +1 line, -1 line 0 comments Download
M remoting/client/BUILD.gn View 2 3 3 chunks +9 lines, -2 lines 0 comments Download
M remoting/codec/BUILD.gn View 1 chunk +4 lines, -0 lines 0 comments Download
M remoting/protocol/ice_connection_to_client.cc View 1 1 chunk +7 lines, -1 line 0 comments Download
M remoting/protocol/webrtc_audio_module.h View 1 chunk +2 lines, -2 lines 0 comments Download
M remoting/protocol/webrtc_audio_module.cc View 1 chunk +3 lines, -2 lines 0 comments Download
M remoting/test/app_remoting_test_driver.cc View 2 chunks +12 lines, -0 lines 0 comments Download
M remoting/test/chromoting_test_driver.cc View 2 chunks +12 lines, -0 lines 0 comments Download
M third_party/libjingle/BUILD.gn View 1 chunk +0 lines, -1 line 0 comments Download

Messages

Total messages: 34 (26 generated)
nicholss
Locally this CL allows me to build and link the :remoting_all target for iOS. PTAL!
4 years ago (2016-10-19 21:09:42 UTC) #3
Sergey Ulanov
Looks good, but it fails to build on android. I think you need to add ...
4 years ago (2016-10-19 22:04:45 UTC) #8
joedow
https://codereview.chromium.org/2437453004/diff/1/remoting/test/app_remoting_test_driver.cc File remoting/test/app_remoting_test_driver.cc (right): https://codereview.chromium.org/2437453004/diff/1/remoting/test/app_remoting_test_driver.cc#newcode1 remoting/test/app_remoting_test_driver.cc:1: // Copyright 2015 The Chromium Authors. All rights reserved. ...
4 years ago (2016-10-19 22:10:03 UTC) #10
nicholss
On 2016/10/19 22:10:03, joedow wrote: > https://codereview.chromium.org/2437453004/diff/1/remoting/test/app_remoting_test_driver.cc > File remoting/test/app_remoting_test_driver.cc (right): > > https://codereview.chromium.org/2437453004/diff/1/remoting/test/app_remoting_test_driver.cc#newcode1 > ...
4 years ago (2016-10-19 23:21:52 UTC) #19
Sergey Ulanov
lgtm
4 years ago (2016-10-21 18:41:19 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2437453004/60001
4 years ago (2016-10-25 16:00:15 UTC) #31
commit-bot: I haz the power
Committed patchset #4 (id:60001)
4 years ago (2016-10-25 16:05:10 UTC) #32
commit-bot: I haz the power
4 years ago (2016-10-25 16:14:45 UTC) #34
Message was sent while issue was closed.
Patchset 4 (id:??) landed as
https://crrev.com/1b5df0c36af06d0963a77b7103088d3a63648e02
Cr-Commit-Position: refs/heads/master@{#427371}

Powered by Google App Engine
This is Rietveld 408576698